diff -bBdrw -U5 doxygen-1.3.4/src/latexdocvisitor.cpp df-doxygen-1.3.4/src/latexdocvisitor.cpp
--- doxygen-1.3.4/src/latexdocvisitor.cpp	2003-09-14 12:02:20.000000000 -0400
+++ df-doxygen-1.3.4/src/latexdocvisitor.cpp	2003-10-24 13:53:39.000000000 -0400
@@ -231,11 +231,11 @@
         m_insidePre=TRUE;
       }
       else
       {
         m_insidePre=FALSE;
-        m_t << "\\end{alltt}\\normalsize " << endl;
+        m_t << "\\end{alltt}\n\\normalsize " << endl;
       }
       break;
     case DocStyleChange::Div:  /* HTML only */ break;
     case DocStyleChange::Span: /* HTML only */ break;
   }
@@ -247,16 +247,16 @@
   switch(s->type())
   {
     case DocVerbatim::Code: 
       m_t << "\n\n\\footnotesize\\begin{verbatim}"; 
       parseCode(m_ci,s->context(),s->text().latin1(),s->isExample(),s->exampleFile());
-      m_t << "\\end{verbatim}\\normalsize" << endl; 
+      m_t << "\\end{verbatim}\n\\normalsize" << endl; 
       break;
     case DocVerbatim::Verbatim: 
       m_t << "\n\n\\footnotesize\\begin{verbatim}"; 
       m_t << s->text();
-      m_t << "\\end{verbatim}\\normalsize" << endl; 
+      m_t << "\\end{verbatim}\n\\normalsize" << endl; 
       break;
       /* nothing */ 
       break;
@@ -306,33 +306,33 @@
 {
   if (m_hide) return;
   switch(inc->type())
   {
     case DocInclude::Include: 
-      m_t << "\n\n\\footnotesize\\begin{verbatim}"; 
+      m_t << "\n\n\\footnotesize\n\\begin{verbatim}"; 
       parseCode(m_ci,inc->context(),inc->text().latin1(),inc->isExample(),inc->exampleFile());
-      m_t << "\\end{verbatim}\\normalsize" << endl; 
+      m_t << "\\end{verbatim}\n\\normalsize" << endl; 
       break;
     case DocInclude::DontInclude: 
       break;
     case DocInclude::HtmlInclude: 
       break;
     case DocInclude::VerbInclude: 
-      m_t << "\n\n\\footnotesize\\begin{verbatim}"; 
+      m_t << "\n\n\\footnotesize\n\\begin{verbatim}"; 
       m_t << inc->text();
-      m_t << "\\end{verbatim}\\normalsize" << endl; 
+      m_t << "\\end{verbatim}\n\\normalsize" << endl; 
       break;
   }
 }
 
 void LatexDocVisitor::visit(DocIncOperator *op)
 {
   //printf("DocIncOperator: type=%d first=%d, last=%d text=`%s'\n",
   //    op->type(),op->isFirst(),op->isLast(),op->text().data());
   if (op->isFirst()) 
   {
-    if (!m_hide) m_t << "\n\n\\footnotesize\\begin{verbatim}"; 
+    if (!m_hide) m_t << "\n\n\\footnotesize\n\\begin{verbatim}"; 
     pushEnabled();
     m_hide = TRUE;
   }
   if (op->type()!=DocIncOperator::Skip) 
   {
@@ -342,11 +342,11 @@
     m_hide=TRUE;
   }
   if (op->isLast())  
   {
     popEnabled();
-    if (!m_hide) m_t << "\\end{verbatim}\\normalsize" << endl; 
+    if (!m_hide) m_t << "\\end{verbatim}\n\\normalsize" << endl; 
   }
   else
   {
     if (!m_hide) m_t << endl;
   }
@@ -568,11 +568,11 @@
 //}
 
 //void LatexDocVisitor::visitPost(DocHtmlPre *) 
 //{
 //  m_insidePre=FALSE;
-//  m_t << "\\end{alltt}\\normalsize " << endl;
+//  m_t << "\\end{alltt}\n\\normalsize " << endl;
 //}
 
 void LatexDocVisitor::visitPre(DocHtmlDescList *)
 {
   if (m_hide) return;
diff -bBdrw -U5 doxygen-1.3.4/src/latexgen.h df-doxygen-1.3.4/src/latexgen.h
--- doxygen-1.3.4/src/latexgen.h	2003-08-08 05:52:56.000000000 -0400
+++ df-doxygen-1.3.4/src/latexgen.h	2003-10-24 13:53:52.000000000 -0400
@@ -115,20 +115,20 @@
     
     void insertMemberAlign() {}
 
     void writeRuler() { t << endl << endl; /*t << "\\vspace{0.4cm}\\hrule\\vspace{0.2cm}" << endl; */ }
     void writeAnchor(const char *fileName,const char *name);
-    void startCodeFragment() { t << endl << endl << "\\footnotesize\\begin{verbatim}"; }
-    void endCodeFragment()   { t << "\\end{verbatim}\\normalsize " << endl; }
+    void startCodeFragment() { t << endl << endl << "\\footnotesize\n\\begin{verbatim}"; }
+    void endCodeFragment()   { t << "\\end{verbatim}\n\\normalsize " << endl; }
     //void startPreFragment()  { t << "\\small\\begin{alltt}"; 
     //                           insidePre=TRUE; 
     //                         }
-    //void endPreFragment()    { t << "\\end{alltt}\\normalsize " << endl; 
+    //void endPreFragment()    { t << "\\end{alltt}\n\\normalsize " << endl; 
     //                           insidePre=FALSE; 
     //                         }
     //void startVerbatimFragment() { t << endl << endl << "\\footnotesize\\begin{verbatim}"; }
-    //void endVerbatimFragment()   { t << "\\end{verbatim}\\normalsize " << endl; }
+    //void endVerbatimFragment()   { t << "\\end{verbatim}\n\\normalsize " << endl; }
     void writeLineNumber(const char *,const char *,const char *,int l) { t << l << " "; }
     void startCodeLine() { col=0; }
     void endCodeLine() { codify("\n"); }
     //void writeBoldString(const char *text) 
     //                     { t << "{\\bf "; docify(text); t << "}"; }