Index: src/translator_br.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_br.h,v
retrieving revision 1.35
diff -p -u -r1.35 translator_br.h
--- src/translator_br.h	28 Mar 2005 13:38:53 -0000	1.35
+++ src/translator_br.h	28 Feb 2006 05:37:23 -0000
@@ -1048,6 +1048,8 @@ class TranslatorBrazilian : public Trans
         "class Undocumented { };\n\n"
         "/*! Class that is inherited using public inheritance */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Class that is inherited using protected inheritance */\n"
         "class ProtectedBase { };\n\n"
         "/*! Class that is inherited using private inheritance */\n"
@@ -1058,7 +1060,8 @@ class TranslatorBrazilian : public Trans
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_ca.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_ca.h,v
retrieving revision 1.10
diff -p -u -r1.10 translator_ca.h
--- src/translator_ca.h	16 May 2005 10:07:20 -0000	1.10
+++ src/translator_ca.h	28 Feb 2006 05:37:23 -0000
@@ -1037,7 +1037,7 @@ class TranslatorCatalan : public Transla
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_cn.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_cn.h,v
retrieving revision 1.20
diff -p -u -r1.20 translator_cn.h
--- src/translator_cn.h	7 Mar 2005 21:07:12 -0000	1.20
+++ src/translator_cn.h	28 Feb 2006 05:37:23 -0000
@@ -911,6 +911,8 @@ class TranslatorChinese : public Transla
         "class Undocumented { };\n\n"
         "/*! ±»¹«ÓÐ¼Ì³ÐµÄÀà */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! ±»±£»¤¼Ì³ÐµÄÀà */\n"
         "class ProtectedBase { };\n\n"
         "/*! ±»Ë½ÓÐ¼Ì³ÐµÄÀà */\n"
@@ -921,7 +923,8 @@ class TranslatorChinese : public Transla
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_de.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_de.h,v
retrieving revision 1.64
diff -p -u -r1.64 translator_de.h
--- src/translator_de.h	16 May 2005 10:07:20 -0000	1.64
+++ src/translator_de.h	28 Feb 2006 05:37:24 -0000
@@ -1122,7 +1122,7 @@ class TranslatorGerman : public Translat
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_dk.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_dk.h,v
retrieving revision 1.17
diff -p -u -r1.17 translator_dk.h
--- src/translator_dk.h	11 Jan 2005 19:39:23 -0000	1.17
+++ src/translator_dk.h	28 Feb 2006 05:37:24 -0000
@@ -1025,7 +1025,7 @@ class TranslatorDanish : public Translat
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_en.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_en.h,v
retrieving revision 1.33
diff -p -u -r1.33 translator_en.h
--- src/translator_en.h	7 Jul 2005 20:16:18 -0000	1.33
+++ src/translator_en.h	28 Feb 2006 05:37:24 -0000
@@ -1072,7 +1072,7 @@ class TranslatorEnglish : public Transla
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_es.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_es.h,v
retrieving revision 1.41
diff -p -u -r1.41 translator_es.h
--- src/translator_es.h	11 Jan 2005 19:39:24 -0000	1.41
+++ src/translator_es.h	28 Feb 2006 05:37:24 -0000
@@ -919,6 +919,8 @@ class TranslatorSpanish : public Transla
         "class Undocumented { };\n\n"
         "/*! Clase que es heredera usando herencia publica */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Clase que es heredera usando herencia protegida  */\n"
         "class ProtectedBase { };\n\n"
         "/*! Clase que es heredera usando herencia privada  */\n"
@@ -929,7 +931,8 @@ class TranslatorSpanish : public Transla
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_fr.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_fr.h,v
retrieving revision 1.56
diff -p -u -r1.56 translator_fr.h
--- src/translator_fr.h	21 Jul 2005 08:42:44 -0000	1.56
+++ src/translator_fr.h	28 Feb 2006 05:37:25 -0000
@@ -1115,7 +1115,7 @@ class TranslatorFrench : public Translat
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_gr.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_gr.h,v
retrieving revision 1.10
diff -p -u -r1.10 translator_gr.h
--- src/translator_gr.h	11 Jan 2005 19:39:24 -0000	1.10
+++ src/translator_gr.h	28 Feb 2006 05:37:25 -0000
@@ -1026,6 +1026,8 @@ class TranslatorGreek : public Translato
         "class Undocumented { };\n\n"
         "/*! Class that is inherited using public inheritance */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Class that is inherited using protected inheritance */\n"
         "class ProtectedBase { };\n\n"
         "/*! Class that is inherited using private inheritance */\n"
@@ -1036,7 +1038,8 @@ class TranslatorGreek : public Translato
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_hr.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_hr.h,v
retrieving revision 1.42
diff -p -u -r1.42 translator_hr.h
--- src/translator_hr.h	28 Mar 2005 13:38:53 -0000	1.42
+++ src/translator_hr.h	28 Feb 2006 05:37:26 -0000
@@ -755,6 +755,8 @@ class TranslatorCroatian : public Transl
         "class Undocumented { };\n\n"
         "/*! Klasa koja je naslijeðena public  */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Klasa koje je naslijeðena protected */\n"
         "class ProtectedBase { };\n\n"
         "/*! Klasa koje je naslijeðena private */\n"
@@ -765,7 +767,8 @@ class TranslatorCroatian : public Transl
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_hu.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_hu.h,v
retrieving revision 1.20
diff -p -u -r1.20 translator_hu.h
--- src/translator_hu.h	8 May 2005 21:32:21 -0000	1.20
+++ src/translator_hu.h	28 Feb 2006 05:37:26 -0000
@@ -1017,7 +1017,7 @@ class TranslatorHungarian : public Trans
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_id.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_id.h,v
retrieving revision 1.9
diff -p -u -r1.9 translator_id.h
--- src/translator_id.h	23 Jun 2005 21:12:45 -0000	1.9
+++ src/translator_id.h	28 Feb 2006 05:37:26 -0000
@@ -1049,7 +1049,7 @@ class TranslatorIndonesian : public Tran
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_it.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_it.h,v
retrieving revision 1.59
diff -p -u -r1.59 translator_it.h
--- src/translator_it.h	28 Mar 2005 13:38:53 -0000	1.59
+++ src/translator_it.h	28 Feb 2006 05:37:26 -0000
@@ -1025,6 +1025,8 @@ class TranslatorItalian : public Transla
         "class Undocumented { };\n\n"
         "/*! Classe che utilizza una ereditarietà pubblica */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Classe che utilizza una ereditarietà protetta*/\n"
         "class ProtectedBase { };\n\n"
         "/*! Classe che utilizza una ereditarietà  privata*/\n"
@@ -1035,7 +1037,8 @@ class TranslatorItalian : public Transla
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_jp.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_jp.h,v
retrieving revision 1.51
diff -p -u -r1.51 translator_jp.h
--- src/translator_jp.h	9 Nov 2005 21:17:04 -0000	1.51
+++ src/translator_jp.h	28 Feb 2006 05:37:27 -0000
@@ -1002,6 +1002,8 @@ class TranslatorJapanese : public Transl
         "class Undocumented { };\n\n"
         "/*! public ¤Ç·Ñ¾µ¤µ¤ì¤¿¥¯¥é¥¹ */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! protected ¤Ç·Ñ¾µ¤µ¤ì¤¿¥¯¥é¥¹ */\n"
         "class ProtectedBase { };\n\n"
         "/*! private ¤Ç·Ñ¾µ¤µ¤ì¤¿¥¯¥é¥¹ */\n"
@@ -1012,7 +1014,8 @@ class TranslatorJapanese : public Transl
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_kr.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_kr.h,v
retrieving revision 1.22
diff -p -u -r1.22 translator_kr.h
--- src/translator_kr.h	10 Apr 2005 18:36:51 -0000	1.22
+++ src/translator_kr.h	28 Feb 2006 05:37:27 -0000
@@ -1006,7 +1006,7 @@ class TranslatorKorean : public Translat
 	  "class Inherited : public PublicBase,\n"
 	  "                  protected ProtectedBase,\n"
 	  "                  private PrivateBase,\n"
-	  "                  public Undocumented\n"
+	  "                  public Undocumented,\n"
 	  "                  public Templ<int>\n"
 	  "{\n"
 	  "  private:\n"
Index: src/translator_lt.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_lt.h,v
retrieving revision 1.4
diff -p -u -r1.4 translator_lt.h
--- src/translator_lt.h	16 May 2005 10:07:20 -0000	1.4
+++ src/translator_lt.h	28 Feb 2006 05:37:27 -0000
@@ -1026,7 +1026,7 @@ class TranslatorLithuanian : public Tran
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_nl.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_nl.h,v
retrieving revision 1.53
diff -p -u -r1.53 translator_nl.h
--- src/translator_nl.h	7 Mar 2005 21:07:12 -0000	1.53
+++ src/translator_nl.h	28 Feb 2006 05:37:27 -0000
@@ -671,6 +671,8 @@ class TranslatorDutch : public Translato
         "class Undocumented { };\n\n"
         "/*! Klasse met public inheritance */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Klasse met protected inheritance */\n"
         "class ProtectedBase { };\n\n"
         "/*! Klasse met private inheritance */\n"
@@ -681,7 +683,8 @@ class TranslatorDutch : public Translato
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_no.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_no.h,v
retrieving revision 1.15
diff -p -u -r1.15 translator_no.h
--- src/translator_no.h	11 Jan 2005 19:39:24 -0000	1.15
+++ src/translator_no.h	28 Feb 2006 05:37:27 -0000
@@ -1054,6 +1054,8 @@ class TranslatorNorwegian : public Trans
         "class Undocumented { };\n\n" 
         "/*! Klasse med public-arv */\n" 
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Klasse med protected-arv */\n"
         "class ProtectedBase { };\n\n"
         "/*! Klasse med private-arv */\n"
@@ -1064,7 +1066,7 @@ class TranslatorNorwegian : public Trans
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_pl.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_pl.h,v
retrieving revision 1.24
diff -p -u -r1.24 translator_pl.h
--- src/translator_pl.h	16 May 2005 10:07:20 -0000	1.24
+++ src/translator_pl.h	28 Feb 2006 05:37:27 -0000
@@ -1043,6 +1043,8 @@ class TranslatorPolish : public Translat
         "class Nieudokumentowana { };\n\n"
         "/*! Klasa, która jest dziedziczona publicznie */\n"
         "class PublicznaBaza : public Okrojona { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Klasa, która jest dziedziczona przy u¿yciu dziedziczenia chronionego */\n"
         "class ChronionaBaza { };\n\n"
         "/*! Klasa, która jest dziedziczona prywatnie */\n"
@@ -1053,7 +1055,8 @@ class TranslatorPolish : public Translat
         "class Dziedziczona : public PublicznaBaza,\n"
         "                     protected ChronionaBaza,\n"
         "                     private PrywatnaBaza,\n"
-        "                     public Nieudokumentowana\n"
+        "                     public Nieudokumentowana,\n"
+        "                     public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Uzyta *m_usedClass;\n"
Index: src/translator_pt.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_pt.h,v
retrieving revision 1.26
diff -p -u -r1.26 translator_pt.h
--- src/translator_pt.h	11 Jan 2005 19:39:24 -0000	1.26
+++ src/translator_pt.h	28 Feb 2006 05:37:28 -0000
@@ -1043,6 +1043,8 @@ class TranslatorPortuguese : public Tran
         "class Undocumented { };\n\n"
         "/*! Classe derivada usando derivação pública */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Classe derivada usando derivação protegida */\n"
         "class ProtectedBase { };\n\n"
         "/*! Classe derivada usando derivação privada */\n"
@@ -1053,7 +1055,8 @@ class TranslatorPortuguese : public Tran
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_ro.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_ro.h,v
retrieving revision 1.15
diff -p -u -r1.15 translator_ro.h
--- src/translator_ro.h	7 Mar 2005 21:07:12 -0000	1.15
+++ src/translator_ro.h	28 Feb 2006 05:37:28 -0000
@@ -1073,6 +1073,8 @@ class TranslatorRomanian : public Transl
         "class Undocumented { };\n\n"
         "/*! Clasã care este moºtenitã în mod public */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Clasã care este moºtenitã în mod protejat */\n"
         "class ProtectedBase { };\n\n"
         "/*! Clasã care este moºtenitã în mod privat */\n"
@@ -1083,7 +1085,8 @@ class TranslatorRomanian : public Transl
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_se.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_se.h,v
retrieving revision 1.35
diff -p -u -r1.35 translator_se.h
--- src/translator_se.h	15 Mar 2005 19:18:42 -0000	1.35
+++ src/translator_se.h	28 Feb 2006 05:37:28 -0000
@@ -917,7 +917,7 @@ class TranslatorSwedish : public Transla
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_si.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_si.h,v
retrieving revision 1.18
diff -p -u -r1.18 translator_si.h
--- src/translator_si.h	18 Sep 2005 19:25:31 -0000	1.18
+++ src/translator_si.h	28 Feb 2006 05:37:30 -0000
@@ -684,6 +684,8 @@ class TranslatorSlovene : public Transla
         "class Undocumented { };\n\n"
         "/*! Razred, ki ga dedujemo s pomoÃ¨jo javnega dedovanja */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! Razred, ki ga dedujemo s pomoÃ¨jo zaÂ¹Ã¨itenega dedovanja */\n"
         "class ProtectedBase { };\n\n"
         "/*! Razred, ki ga dedujemo s pomoÃ¨jo skritega dedovanja */\n"
@@ -694,7 +696,8 @@ class TranslatorSlovene : public Transla
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_sk.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_sk.h,v
retrieving revision 1.16
diff -p -u -r1.16 translator_sk.h
--- src/translator_sk.h	11 Jan 2005 19:39:24 -0000	1.16
+++ src/translator_sk.h	28 Feb 2006 05:37:30 -0000
@@ -1055,6 +1055,8 @@ class TranslatorSlovak : public Translat
 		"/*! Odvodená trieda s verejným (public) dedením bázovej triedy. */\n"
 		"class PublicBase : public Truncated { };\n\n"
 		"/*! Odvodená trieda s chráneným (protected) dedením bázovej triedy. */\n"
+		"/*! A template class */\n"
+		"template<class T> class Templ { };\n\n"
 		"class ProtectedBase { };\n\n"
 		"/*! Odvodená trieda s privátnym dedením bázovej triedy. */\n"
 		"class PrivateBase { };\n\n"
@@ -1063,9 +1065,10 @@ class TranslatorSlovak : public Translat
 		"/*! Odvodená trieda, ktorá rôznym spôsobom dedí od viacerých bázových "
 		"tried. */\n"
 		"class Inherited : public PublicBase,\n"
-		"				   protected ProtectedBase,\n"
-		"				   private PrivateBase,\n"
-		"				   public Undocumented\n"
+		"                  protected ProtectedBase,\n"
+		"                  private PrivateBase,\n"
+		"                  public Undocumented,\n"
+		"                  public Templ<int>\n"
 		"{\n"
 		"  private:\n"
 		"	 Used *m_usedClass;\n"
Index: src/translator_sr.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_sr.h,v
retrieving revision 1.18
diff -p -u -r1.18 translator_sr.h
--- src/translator_sr.h	7 Mar 2005 21:07:12 -0000	1.18
+++ src/translator_sr.h	28 Feb 2006 05:37:30 -0000
@@ -1068,7 +1068,7 @@ private:
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_tw.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_tw.h,v
retrieving revision 1.14
diff -p -u -r1.14 translator_tw.h
--- src/translator_tw.h	6 Aug 2005 11:47:31 -0000	1.14
+++ src/translator_tw.h	28 Feb 2006 05:37:30 -0000
@@ -1068,7 +1068,7 @@ class TranslatorChinesetraditional : pub
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
         "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
Index: src/translator_ua.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_ua.h,v
retrieving revision 1.10
diff -p -u -r1.10 translator_ua.h
--- src/translator_ua.h	7 Mar 2005 21:07:13 -0000	1.10
+++ src/translator_ua.h	28 Feb 2006 05:37:30 -0000
@@ -1056,6 +1056,8 @@ class TranslatorUkrainian : public Trans
         "class Undocumented { };\n\n"
         "/*! úÁÇÁÌØÎÏÄÏÓÔÕÐÎÅ ÕÓÐÁÄËÕ×ÁÎÎÑ */\n"
         "class PublicBase : public Truncated { };\n\n"
+        "/*! A template class */\n"
+        "template<class T> class Templ { };\n\n"
         "/*! úÁÈÉÝÅÎÅ ÕÓÐÁÄËÕ×ÁÎÎÑ */\n"
         "class ProtectedBase { };\n\n"
         "/*! ðÒÉ×ÁÔÎÅ ÕÓÐÁÄËÕ×ÁÎÎÑ */\n"
@@ -1066,7 +1068,8 @@ class TranslatorUkrainian : public Trans
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Undocumented\n"
+        "                  public Undocumented,\n"
+        "                  public Templ<int>\n"
         "{\n"
         "  private:\n"
         "    Used *m_usedClass;\n"
Index: src/translator_za.h
===================================================================
RCS file: /cvsroot/doxygen/src/translator_za.h,v
retrieving revision 1.4
diff -p -u -r1.4 translator_za.h
--- src/translator_za.h	8 May 2005 21:32:21 -0000	1.4
+++ src/translator_za.h	28 Feb 2006 05:37:30 -0000
@@ -1021,7 +1021,7 @@ class TranslatorAfrikaans : public Trans
         "class Inherited : public PublicBase,\n"
         "                  protected ProtectedBase,\n"
         "                  private PrivateBase,\n"
-        "                  public Ongedokumenteer\n"
+        "                  public Ongedokumenteer,\n"
         "                  public Templ<int>\n"  
         "{\n"
         "  private:\n"